import { defineStore } from 'pinia' 

export const useRoomStore = defineStore('room', {
    state: () => ({
        roomId: '',
        token: '',
        userUid: '',
        //邀请进入房间的用户uid
        detailUid: '', 
        //邀请用户名称
        detailName: '',
    }),
    actions: {
        setUserUid(data) { 
            this.userUid = data
        },
        setDetailUid(data) { 
            this.detailUid = data
        },
        setDetailName(data) { 
            this.detailName = data
        }
    }

})